version: '3.1'

services:

  scrapper:
    build: .
    restart: always
    hostname: auctionagent.saucisse.ninja
    ports:
      - 3000

    labels:
      - "traefik.enable=true"
      - "traefik.http.middlewares.redirecthttps.redirectscheme.scheme=https"
      - "traefik.http.middlewares.redirecthttps.redirectscheme.permanent=true"

      - "traefik.http.routers.auctionagent-http.rule=Host(`auctionagent.saucisse.ninja`)"
      - "traefik.http.routers.auctionagent-http.middlewares=redirecthttps"

      - "traefik.http.routers.auctionagent.rule=Host(`auctionagent.saucisse.ninja`)"
      - "traefik.http.routers.auctionagent.tls=true"
      - "traefik.http.routers.auctionagent.tls.certresolver=myresolver"
      - "traefik.http.routers.auctionagent.tls.domains[0].main=auctionagent.saucisse.ninja"
      - "traefik.http.services.scrapper.loadbalancer.server.port=3000"